#
# spec file for package kdelibs3 (Version 3.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel arts arts-devel audiofile autoconf automake cups-devel cups-libs cyrus-sasl cyrus-sasl-devel docbook-dsssl-stylesheets docbook-utils docbook_3 doxygen fam freetype2 gpp gppshare graphviz iso_ent jade_dsl kdoc libaps libgpp libjpeg liblcms libmng libmng-devel libpng-devel-packages libtiff libxml2 libxml2-devel libxslt libxslt-devel libz mesa-devel-packages openssh openssl openssl-devel pcre pcsc-lite qt3 qt3-devel qt3-devel-doc sp sp-devel xdevel xf86 xpm
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim alsa alsa-devel arts arts-devel audiofile autoconf automake binutils cracklib cups-devel cups-libs cyrus-sasl-devel docbook-dsssl-stylesheets docbook-utils docbook_3 doxygen fam freetype2 gcc gdbm gettext gpp graphviz iso_ent jade_dsl kdoc libaps libgpp libjpeg liblcms libmng libmng-devel libpng libpng-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel libz mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft openssh openssl openssl-devel pam pcre pcsc-lite perl qt3 qt3-devel qt3-devel-doc rpm sp sp-devel xdevel xf86 xshared

Name:         kdelibs3
Requires:     openssl
License:      GPL, LGPL
Group:        System/GUI/KDE
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      KDE base package: Libraries
Version:      3.0
Release:      123
Obsoletes:    kde3-i18n
Requires:     qt3 >= 3.0.3
Source0:      kdelibs-%{version}.tar.bz2
Source1:      SuSEconfig.kde3-api
Source2:      kdelibs3-api.conf
Source3:      khtmlrc
Source4:      api_docu_description
Source5:      keramik.tar.bz2
Source6:      kde3rc
Patch2:       icon_path.dif
Patch3:       keramik.dif
Patch4:       js-localhost-fix.dif
Patch5:       latin9.dif
Patch6:       ssl-security-fix.dif
Patch7:       docbk30.dif
Patch8:       docbook_3.dif
Patch9:       ia64gcc296.dif
Patch10:      kmimetype.dif
Patch11:      fam_env.dif
Patch12:      kfont_euro.dif
Patch14:      kdDebug_ppc.dif
Patch16:      kde3rc.dif
Patch17:      shut_up.dif
Patch18:      kdelibs-3.0.5.diff
Patch20:      kdelibs-3.0.5-3.0.5a.diff
Patch21:      admin-3.0.5-3.0.5a.diff
Patch22:      kdelibs-post-3.0.5a.diff
Patch23:      post-3.0.5a-kdelibs-kimgio.diff
Patch24:      post-3.0.5b-kdelibs-http.patch
Patch25:      post-3.0.5b-kdelibs-khtml.patch
Patch26:      post-3.0.5b-kdelibs-ktelnetservice.patch
Patch27:      post-3.0.5b-kdelibs-kapplication.patch
Patch28:      kstandarddirs_tmplinks.patch
Patch29:      post-3.0.5b-kdelibs-kcookiejar.patch
Patch30:      post-3.0.5b-kdelibs-htmlframes.patch
%if %suse_version > 730
Provides:     kdelibs
%endif

%description
This package contains kdelibs, one of the basic packages of the K
Desktop Environment. It contains necessary libraries the KDE desktop.


This package is absolutely necessary for using KDE !

Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
Requires:     arts-devel qt3-devel alsadev libvorbis-devel kdelibs3 = %version
Summary:      KDE 3 base package: build enviroment
Group:        System/GUI/KDE
%if %suse_version > 730
Provides:     kdelibs-devel
%endif

%description devel
This package contains the build enviroment for kdelibs, one of the basic
packages of the K Desktop Environment.

This package is necessary to compile applications for KDE 3.

Authors:
--------
    The KDE Team <kde@kde.org>

%package devel-doc
Requires:     qt3-devel-doc
Summary:      The KDE API documentation for kdelibs
Group:        System/GUI/KDE
%if %suse_version > 730
Provides:     kdelibs-devel-doc
%endif

%description devel-doc
The package contains a generated API documentation for all library classes
provided by kdelibs. The index page for all KDE API functions is:

file:/usr/share/doc/KDE-API/index.html

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdelibs-%{version}
%patch2 -p 0
# disabled on request by qwertz
%if %suse_version > 710
#%patch3 -p 0
#tar xfvpj %SOURCE5
%endif
%if %suse_version >= 720
%patch8
%else
%patch7
%endif
%if %suse_version < 730
%ifarch ia64
%patch9 -p 0
%endif
%endif
%patch16 -p 0
%patch17 -p 0
%patch18 -p 0
%patch20 -p 0
%patch21 -p 0
%patch22 -p 0
%patch23 -p 0
%patch24 -p 0
%patch25 -p 0
%patch26
%patch27 -p1
%patch28
%patch29
%patch30
make -f Makefile.cvs

%build
DEBUG="--disable-debug"
FINAL="--enable-final"
%ifarch ppc
FINAL=""
CXXFLAGS="$CXXFLAGS -O0"
%endif
%if %suse_version < 730
%ifarch ia64
  FINAL=""
  CXXFLAGS="$CXXFLAGS -O1"
  FLAGS="$FLAGS --without-ssl "
%endif
%endif
%if %suse_version < 710
   FLAGS="$FLAGS --without-ssl "
%endif
%if %suse_version < 710
%ifarch ppc
   FLAGS="$FLAGS --without-alsa --without-ssl "
%endif
%endif
%if %suse_version < 720
   FLAGS="$FLAGS --disable-pcre "
%endif
%ifarch s390 alpha
   FLAGS="$FLAGS --without-alsa "
   FINAL=""
%endif
%if %suse_version < 710
   FLAGS="$FLAGS --without-xinerama "
%else
   # xinerama was not avaible
   FLAGS="$FLAGS --with-xinerama "
%endif
%if %suse_version <= 730
   FLAGS="$FLAGS --without-pcsc "
%else
   FLAGS="$FLAGS --with-pcsc-dir=/usr "
%endif
%if %suse_version > 730
   FLAGS="$FLAGS --disable-rpath"
%endif
%if %suse_version < 730
%ifarch ia64
   FINAL=""
   CXXFLAGS="$CXXFLAGS -O0"
%endif
%endif
echo $FLAGS $DEBUG $FINAL \
     --prefix=/opt/kde3/ \
     --libdir=/opt/kde3/%{_lib} \
     --with-qt-libraries=/usr/lib/qt3/%{_lib} \
     --with-qt-dir=/usr/lib/qt3/ \
     --enable-threading  \
     --with-ssl-dir=/usr/ssl \
     --mandir=%{_mandir} \
     --sysconfdir=%{_sysconfdir} \
     --disable-debug \
  > /var/tmp/common_compile_options
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export PATH=/opt/kde3/bin:$PATH
export CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG "
./configure \
  `cat /var/tmp/common_compile_options` \
%ifarch i386
   --enable-fast-malloc=yes \
%endif
  --with-distribution=SuSE \
  --with-install-root=$RPM_BUILD_ROOT \
  --with-sgml-cat=/var/lib/sgml/
make

%install
rm -f ${RPM_BUILD_DIR}/kdelibs.doc.list
mkdir -p $RPM_BUILD_ROOT/etc/opt/kde3/ 
install -m 0644 /var/tmp/common_compile_options \
      $RPM_BUILD_ROOT/etc/opt/kde3/common_compile_options
make DESTDIR=$RPM_BUILD_ROOT install-strip
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/opt/kde3/%_lib
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/opt/kde3/share/config
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/susehelp.d/htdig/
install -d -m 0755 ${RPM_BUILD_ROOT}/sbin/conf.d/
install -m 0755 %SOURCE1 ${RPM_BUILD_ROOT}/sbin/conf.d/
install -m 0644 %SOURCE2 ${RPM_BUILD_ROOT}/etc/susehelp.d/htdig/
install -m 0644 %SOURCE3 ${RPM_BUILD_ROOT}/opt/kde3/share/config/
install -m 0644 %SOURCE6 ${RPM_BUILD_ROOT}/etc/
#
# meinproc is not working on ia64 due to broken gcc 2.96/3.0.x
#
%if %suse_version < 730
 %ifarch ia64
   rm -f ${RPM_BUILD_ROOT}//opt/kde3//bin/meinproc
 %endif
%endif
%if %suse_version > 700
   #
   # create pathes with additional icons for SuSE menu
   #
   install -d "${RPM_BUILD_ROOT}//opt/kde3//share/icons/hicolor"
   install -d "${RPM_BUILD_ROOT}//opt/kde3//share/icons/locolor"
   ln -s /usr/X11R6/share/icons/png/hicolor/16x16 \
         "${RPM_BUILD_ROOT}//opt/kde3//share/icons/hicolor/SuSE-16x16"
   ln -s /usr/X11R6/share/icons/png/hicolor/22x22 \
         "${RPM_BUILD_ROOT}//opt/kde3//share/icons/hicolor/SuSE-22x22"
   ln -s /usr/X11R6/share/icons/png/hicolor/32x32 \
         "${RPM_BUILD_ROOT}//opt/kde3//share/icons/hicolor/SuSE-32x32"
   ln -s /usr/X11R6/share/icons/png/hicolor/48x48 \
         "${RPM_BUILD_ROOT}//opt/kde3//share/icons/hicolor/SuSE-48x48"
   ln -s /usr/X11R6/share/icons/png/locolor/16x16 \
         "${RPM_BUILD_ROOT}//opt/kde3//share/icons/locolor/SuSE-16x16"
   ln -s /usr/X11R6/share/icons/png/locolor/22x22 \
         "${RPM_BUILD_ROOT}//opt/kde3//share/icons/locolor/SuSE-22x22"
   ln -s /usr/X11R6/share/icons/png/locolor/32x32 \
         "${RPM_BUILD_ROOT}//opt/kde3//share/icons/locolor/SuSE-32x32"
%endif
#
# create kdelibs API documentation
#
export  QTDOCDIR=/usr/lib/qt3/doc/html
export KDEDOCDIR=/usr/share/doc/KDE3-API/
export      PATH=$RPM_BUILD_ROOT/opt/kde3/bin/:$PATH
%if %suse_version > 730
/opt/kde3/bin/qt2kdoc --url=$QTDOCDIR \
              --outdir=${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference \
              --compress \
              $QTDOCDIR
/opt/kde3/bin/makekdedoc \
		--libdir=${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference \
                --kdocopt='--skip-internal --compress' \
                --url=${KDEDOCDIR} \
                --outputdir=${RPM_BUILD_ROOT}/${KDEDOCDIR}
   for i in `sed -n -e 's@\([^:]*\).*@\1@p' %SOURCE4`; do
      [ "$i" ] || continue
      sed -n -e 's@'"${i}"':\(.*\)@\1@p' %SOURCE4 > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/${i}/description.SuSEconfig
      echo "kdelibs"                          > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/${i}/package.SuSEconfig
   done
   [ -e ${RPM_BUILD_ROOT}/ot/kde3/bin/xmlizer ] &&\
       echo /opt/kde3/bin/xmlizer > ${RPM_BUILD_DIR}/kdelibs.doc.list
   mkdir -p ${RPM_BUILD_ROOT}/opt/kde3/share/doc/HTML/en/
   ln -sf ../../../../../../usr/share/doc/KDE3-API ${RPM_BUILD_ROOT}/opt/kde3/share/doc/HTML/en/kdeapi
   echo "%dir /opt/kde3/share/doc/HTML/en/kdeapi" >>${RPM_BUILD_DIR}/kdelibs.doc.list
   echo "%doc /usr/share/doc/KDE3-API" >>${RPM_BUILD_DIR}/kdelibs.doc.list
   mkdir -p ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdeui
   mkdir -p ${RPM_BUILD_ROOT}/$KDEDOCDIR/kfile
   mkdir -p ${RPM_BUILD_ROOT}/$KDEDOCDIR/kio
#  cp doc/api/kpixmapio-perf.png ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdeui
#  cp doc/api/kcolordialog.png   ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdeui
#  cp doc/api/kfontdialog.png    ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdeui
#  cp doc/api/kkeydialog.png     ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdeui
#  cp doc/api/kedittoolbar.png   ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdeui
#  cp doc/api/kdatepicker.png    ${RPM_BUILD_ROOT}/$KDEDOCDIR/kdeui
#  cp doc/api/kfiledialog.png    ${RPM_BUILD_ROOT}/$KDEDOCDIR/kfile
#  cp kio/DESKTOP_ENTRY_STANDARD ${RPM_BUILD_ROOT}/$KDEDOCDIR/kio
#   sed -e "s#_QTDOCDIR_#$QTDOCDIR#g" doc/api/install-dep.entities.in > doc/api/install-dep.entities
%else
   touch ${RPM_BUILD_DIR}/kdelibs.doc.list
%endif
#
# The modern way, with unuseable api documentation :/
#
#doxygen
#mkdir -p $RPM_BUILD_ROOT/$KDEDOCDIR
#rm -rf   $RPM_BUILD_ROOT/$KDEDOCDIR/kdelibs
#cp -a apidocs/html $RPM_BUILD_ROOT/$KDEDOCDIR/kdelibs/
#
# links for susehelp
# (the reason, why we do not need a kde-i18n base package anymore :)
#
mkdir -p ${RPM_BUILD_ROOT}/opt/kde3/share/doc/HTML/en/
ln -sf /var/lib/susehelp/KDEkdeappl_en.html ${RPM_BUILD_ROOT}/opt/kde3/share/doc/HTML/en/KDEindex.html
ln -sf /var/lib/susehelp/kdeappl_en.html ${RPM_BUILD_ROOT}/opt/kde3/share/doc/HTML/en/index.html
#
# generate file list
#
if [ -e $RPM_BUILD_ROOT/opt/kde3/bin/cupsdconf ]; then
  cat > ${RPM_BUILD_DIR}/kdelibs.list <<EOF
/opt/kde3/bin/make_driver_db_cups
/opt/kde3/bin/cupsdconf
/opt/kde3/bin/cupsdoprint
EOF
else
  echo > ${RPM_BUILD_DIR}/kdelibs.list
fi

%postun
rm -f opt/kde3/share/doc/HTML/en/API/index.html

%clean
#[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files -f ../kdelibs.list
%doc AUTHORS COMPILING COMPILING.html COPYING COPYING.BSD COPYING.LIB DEBUG INSTALL KDE2PORTING.html NAMING README 
%dir /opt/kde3/
%dir /opt/kde3/bin
%dir /opt/kde3/share
%dir /opt/kde3/share/mimelnk
%dir /opt/kde3/share/config
%dir /opt/kde3/share/services
%dir /opt/kde3/share/servicetypes
/opt/kde3/bin/artsmessage
/opt/kde3/bin/checkXML
/opt/kde3/bin/dcop
/opt/kde3/bin/dcopclient
/opt/kde3/bin/dcopfind
/opt/kde3/bin/dcopobject
/opt/kde3/bin/dcopref
/opt/kde3/bin/dcopserver
/opt/kde3/bin/dcopserver_shutdown
/opt/kde3/bin/dcopstart
/opt/kde3/bin/imagetops
/opt/kde3/bin/kab2kabc
/opt/kde3/bin/kaddprinterwizard
/opt/kde3/bin/kbuildsycoca
/opt/kde3/bin/kconf_update
/opt/kde3/bin/kcookiejar
/opt/kde3/bin/kded
/opt/kde3/bin/kdeinit
/opt/kde3/bin/kdeinit_shutdown
/opt/kde3/bin/kdeinit_wrapper
/opt/kde3/bin/kdesu_stub
/opt/kde3/bin/kdontchangethehostname
/opt/kde3/bin/kimage_concat
/opt/kde3/bin/kinstalltheme
/opt/kde3/bin/kio_http_cache_cleaner
/opt/kde3/bin/kio_uiserver
/opt/kde3/bin/kioslave
/opt/kde3/bin/klauncher
/opt/kde3/bin/kmailservice
/opt/kde3/bin/knotify
/opt/kde3/bin/kpac_dhcp_helper
/opt/kde3/bin/ksendbugmail
/opt/kde3/bin/kshell
/opt/kde3/bin/ktelnetservice
/opt/kde3/bin/kwrapper
/opt/kde3/bin/lnusertemp
/opt/kde3/bin/make_driver_db_lpr
/opt/kde3/%_lib/*
/opt/kde3/share/apps
/opt/kde3/share/doc/HTML/*/common
/opt/kde3/share/icons
/opt/kde3/share/services/*
/opt/kde3/share/servicetypes/*
/opt/kde3/share/autostart
%config /opt/kde3/share/mimelnk/*
%config /opt/kde3/share/config/*
%dir /etc/opt/kde3
%dir /etc/opt/kde3/%_lib
%dir /etc/opt/kde3/share
%dir /etc/opt/kde3/share/config
%config(noreplace) /etc/kde3rc

%files devel
/opt/kde3/bin/dcopidl
/opt/kde3/bin/dcopidl2cpp
/opt/kde3/bin/meinproc
/opt/kde3/bin/kde-config
/opt/kde3/bin/kdb2html
/opt/kde3/bin/xml2man
/opt/kde3/bin/preparetips
/opt/kde3/include/*
%config /etc/opt/kde3/common_compile_options

%files devel-doc -f ../kdelibs.doc.list
/opt/kde3//bin/xmlizer
/sbin/conf.d/SuSEconfig.kde3-api
%config(noreplace) /etc/susehelp.d/htdig/kdelibs3-api.conf

%changelog -n kdelibs3
* Mon Aug 09 2004 - adrian@suse.de
- update patch for Frame Injection in khtml, fixing a regression
  (wrong frames might get used)
* Tue Aug 03 2004 - adrian@suse.de
- fix possible Frame Injection in khtml (by Waldo #43271)
* Fri Jul 23 2004 - adrian@suse.de
- fix for unsecure tmp file handling (by Waldo #42486)
* Fri May 14 2004 - adrian@suse.de
- security fix telnet service (#11606)
  files could have been overwritten or created
- email addresses were used as direct command line argument with kmail
* Wed Jul 16 2003 - adrian@suse.de
- security fix for #27976
  Konqueror Referer Leaking Website Authentication
* Mon Apr 07 2003 - adrian@suse.de
- security fix from 3.0.5b
  * run ghostview in -dSAFER mode
* Fri Jan 31 2003 - adrian@suse.de
- fix kimgio eps reading
* Thu Jan 23 2003 - adrian@suse.de
- security fix for cookie handling
* Wed Dec 18 2002 - adrian@suse.de
- apply security fixes
  * possible buffer overflow in dcop, libkmid, ksmartcard cups
  kimgio and lpd-manager
  * fix several possible remote DoS leaks in network protocols
- provide strlcpy() and strlcat(), needed for security fixes in
  other packages
- big endian
* Mon Nov 11 2002 - adrian@suse.de
- security fixes from kdelibs 3.0.5
  * rlogin:// protocol remote command execution fix
  * khtml/ssl fixes according to Dirk Mueller:
  o problems with ssl'ed framesets
  o clear referrer upon redirects to avoid history traversal exploit
* Tue Mar 26 2002 - adrian@suse.de
- update to new 3.0 final version. the last one. sure.
- comment out last harmless warning message from kdelibs
* Mon Mar 25 2002 - adrian@suse.de
- update 3.0 final tar ball
- 2 urgent fixes ( kdirlister )
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final (everything is wonderfull version)
- switch from /etc/X11/kde3 to /etc/opt/kde3 to be FHS compliant
- add /etc/kde3rc with prefix, so we do not need $KDEDIRS anymore
* Thu Mar 21 2002 - adrian@suse.de
- use kdoc to generate api-documentation again
  (makes the class browser of kdevelop happy)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Thu Feb 14 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
- split kdelibs3-artsd package into arts and arts-devel
- add Doug Lea's fast threaded malloc function from glibc 2.3
  * prepared by Lubos Lunak
  * integrated into libkdecore
  * add dummy library to make it configurable via libKmalloc.so link
  * disabled by default
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Mon Feb 04 2002 - adrian@suse.de
- update to 2.92 (KDE 3.0 beta 2)
- create common_compile_flags file
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot from 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- add missing header files
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
* Sat Jan 05 2002 - adrian@suse.de
- update to recent/todays snapshot
- disable rpath for SuSE > 7.3
  (/opt/kde3/lib is in ld.so.conf)
- add Requires: line for at least Qt 3.0.1
* Mon Dec 17 2001 - adrian@suse.de
- fix compile on s390
- add fix for khtml seg fault
- do not build documentation for <7.3 distributions until kdoc
  is fixed
* Wed Dec 12 2001 - adrian@suse.de
- update to KDE 3.0 Beta 1
* Tue Dec 04 2001 - adrian@suse.de
- use current CVS snapshot
* Fri Nov 02 2001 - adrian@suse.de
- using cvs snapshot from 01 Nov 2001
* Sat Oct 20 2001 - adrian@suse.de
- using newer cvs-snapshot
  (compiles again with qt 3 final)
* Tue Oct 09 2001 - adrian@suse.de
- branch to first kdelibs 3 (alpha 1)
* Mon Sep 24 2001 - adrian@suse.de
- add security fix for peer-ssl from Dirk
- add fix to make it possible to allow JS from local pages
* Fri Sep 21 2001 - adrian@suse.de
- add fix for kbuildsycoca --incremental from Waldo
  (changed files (due to updated packages or a SuSEconfig run for
  example) do not lead anymore to an incorrect ksycoca database.
* Tue Sep 18 2001 - adrian@suse.de
- add symbolic link to /opt/kde2/doc/HTML/en/kdeapi
- #neededforbuild cups -> cups-libs
* Sat Sep 15 2001 - adrian@suse.de
- add klineedit fix
- add warning that kdDebug function is disabled (except for ppc)
- fix kdelibs-2.2.1.dif (do not apply patch for ppc-only global)
* Thu Sep 13 2001 - adrian@suse.de
- add fix for kjs (octal parsing)
- add fix icondialog (custom icon directorys)
- fix ia64 patch
* Tue Sep 11 2001 - adrian@suse.de
- add security fixes for kssl (do not save keys on disk)
- add Qt API to the API index page
* Mon Sep 10 2001 - adrian@suse.de
- update to to second try of kdelibs 2.2.1 tar ball
  * JavaScript fixes
- fix ia64 workarounds to build on older distris
* Sun Sep 09 2001 - schwab@suse.de
- Fix specfile for ia64 workarounds.
* Sat Sep 08 2001 - adrian@suse.de
- updating to final 2.2.1 tar ball
* Sun Sep 02 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 02.09.2001
  * compile fixes
  * KFile crash fix
  * KDockWidget crash fix, caused crash in quanta
  * fix login with chars in password >127
  * load charsets file on demand
  * kxmlgui fixed to read really the complete xml file.
- drop -cups package, the cups libs are now splitted from the cups
  package.
- add kmimetype hack to get a fallback application for device icons
- make KDE quiet by default (kdDebug default value is 4 now)
* Tue Aug 28 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 28.08.2001
  * fix kspell for iso 13 languages
  * fix $PATH for kdesu
  * check the preview action in setPreviewWidget()
  * check for aborted save
  * official patch for kbuildsycoca
  * kfile fixes
  * crash fixes in userstylesheets
  * large file system support fix
  * crash fix in kbugreport
- removed patches for kbuildsycoca and large file support
* Sat Aug 25 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 25.08.2001
  * khtml supports <META http-equiv="Cache-Control" content="no-cache">
  * kded updates
  * translation updates
- kbuildsycoca speed optimisation
  (original patch from Lubos Lunak, reworked to be BC)
* Tue Aug 21 2001 - adrian@suse.de
- using KDE_2_2_BRANCH from 21.08.2001
  * html parser fixes
  * artsd fixes
  * ...
- disable FAM by default, it can be enabled with
  export USE_FAM=1
- disable and obsolete -i686 package, until the number of problems
  are solved
* Mon Aug 06 2001 - adrian@suse.de
- add assert into khtml/misc/loader.cpp as recomended by Dirk
- switch on SSE support in i386 architecture
  (arts has a runtime checking)
- clean up file list
- ia64 workarounds
* Mon Aug 06 2001 - adrian@suse.de
- update to final 2.2
* Wed Aug 01 2001 - adrian@suse.de
- update to 2.2rc1
* Fri Jul 06 2001 - adrian@suse.de
- generate API documentation
  (no need to install kdevelop for api docu anymore)
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon May 28 2001 - adrian@suse.de
- 2.2alpha2
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Fri Apr 13 2001 - adrian@suse.de
- add currency symbol to KFontDialog preview for testing purposes
* Tue Apr 10 2001 - adrian@suse.de
- revert also kdeinit changes (compile fix)
- add fixes for javascript from CVS
- add fixes for font name mapping from CVS
- add kdeinit_shutdown patch from Waldo
* Tue Apr 10 2001 - adrian@suse.de
- minor fix, but hopefully fix linker problems on all P-II systems
* Mon Apr 09 2001 - adrian@suse.de
- disable alsa for 7.0-ppc
* Fri Apr 06 2001 - adrian@suse.de
- drop the -nostdlib flag during linking. this causes problems
  (since not all need libs are used) on some architectures
- -O2 for axp
* Thu Apr 05 2001 - adrian@suse.de
- update to 2_1_BRANCH.
  this fixes the proxy server authentication problem
* Wed Mar 28 2001 - adrian@suse.de
- disable ssl support for 7.0-ppc
  (problems with the compiler and linker, which can not be fixed
  without to loss the BC)
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- enable -O2 for ppc
  using inline gcc bug workaround for ia64
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Mon Mar 19 2001 - adrian@suse.de
- update to current 2_1_BRANCH
  we have kde-config as executable binary back
  (lots of configure scripts test this)
* Mon Mar 19 2001 - adrian@suse.de
- add cyrus-sassl to #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- added missing packages in #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- fix CATALOG for distributions <7.2
  update to current 2_1_0_TAG
* Tue Mar 13 2001 - ro@suse.de
- added CATALOG for docbook_3
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- the final final 2.1.0 tar ball ...
* Wed Feb 21 2001 - adrian@suse.de
- use the right KDE BRANCH (not my fault ;-)
* Wed Feb 21 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Jan 22 2001 - stepan@suse.de
- alpha axp compile fixes for gcc 2.95.2
* Tue Jan 16 2001 - adrian@suse.de
- add a check of return value in kprocess.
  Hopefully no crashes anymore.
* Mon Jan 15 2001 - adrian@suse.de
- disable --enable-final until the glibc/compiler problem in
  kprocess is fixed
* Mon Jan 15 2001 - adrian@suse.de
- fix index.desktop for distris <7.1
* Sat Jan 13 2001 - adrian@suse.de
- fix local support in kicker. native language again in menus
  this fix does not work for chinese people
  fix index.desktop in highcolor, 22x22 actions icons can be loaded
  again
* Fri Jan 12 2001 - adrian@suse.de
- create some links to see the konqueror gear again
  fix hicolor index file
* Tue Jan 09 2001 - adrian@suse.de
- added security fix for kdesu from Waldo
* Mon Jan 08 2001 - adrian@suse.de
- fix SuSE icon description
* Sun Jan 07 2001 - adrian@suse.de
- use additional pathes, to not conflict with older pathes
* Sun Jan 07 2001 - adrian@suse.de
- new icon handling. much more clean now and the
  dependencie to icons is not needed anymore
* Sat Jan 06 2001 - adrian@suse.de
- fix locale support.
  LANG=de_DE or LANG=de_DE.utf-8 is working now.
* Tue Jan 02 2001 - adrian@suse.de
- added a fix for font handling, if antialising is used
  (Thanks Kurt)
* Mon Jan 01 2001 - adrian@suse.de
- remove charset for german. this confuses the font handling
  added fix for stalled, but broken connections; thanks waldo
* Sat Dec 30 2000 - adrian@suse.de
- extend rpm mimelnk for *.spm files
  disabled threading
* Wed Dec 27 2000 - adrian@suse.de
- drop message in kdeinit, which produce a lot of invalid bugzilla entrys
* Wed Dec 20 2000 - adrian@suse.de
- added openssl-devel for #neededforbuild
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links back to kdelibs :-(
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links from this package to kdebase
* Fri Dec 15 2000 - adrian@suse.de
- brown paper bag fix ... I spend Rudi a beer ...
* Fri Dec 15 2000 - adrian@suse.de
- added icon packages to #neededforbuild
* Thu Dec 14 2000 - adrian@suse.de
- fixed specfile
* Wed Dec 13 2000 - adrian@suse.de
- fixed icon links
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Wed Nov 29 2000 - adrian@suse.de
- update to 2.0.1
* Wed Nov 22 2000 - ro@suse.de
- remove penguin.png (in kdebase)
* Tue Nov 21 2000 - adrian@suse.de
- fixed /etc/kderc
* Tue Nov 21 2000 - adrian@suse.de
- added icon support for non kde icons
  added /etc/kderc
  ~/Desktop -> ~/KDesktop
* Thu Nov 16 2000 - adrian@suse.de
- update to newer snapshot from KDE_2_0_BRANCH
  fixed sgml catalog file for our sgml enviroment
* Fri Nov 03 2000 - adrian@suse.de
- fixed needed for build
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
- changed default for ~/.kde to ~/.kde2
- dropped klibs2i and klibs2cr again
- splitted package in
  * kdelibs
  * kdelibs-devel
* Wed Sep 20 2000 - adrian@suse.de
- the last fix :-(
* Sun Sep 17 2000 - adrian@suse.de
- splited klibs2 into klibs2, klibs2i (international version
  without crypt support) and klibs2cr (crypt version)
* Sat Sep 16 2000 - adrian@suse.de
- removed ssl/ssh support
  added big endian fix in KPixmap
* Tue Sep 12 2000 - adrian@suse.de
- changed to -O0 for ppc and alpha
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4
* Mon Jul 24 2000 - adrian@suse.de
- update to second version of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Thu Jul 06 2000 - adrian@suse.de
- Spec file created from kdelibs-1.91.20000706.tar.gz by autospec
* Fri Jun 09 2000 - adrian@suse.de
- correct neededforbuild and updated khtml
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to KDE 1.90
* Thu Apr 27 2000 - adrian@suse.de
- snapshot from 25.04.2000
* Thu Apr 20 2000 - adrian@suse.de
- fixed file list
* Wed Apr 19 2000 - adrian@suse.de
- snapshot from 17.04.2000
* Thu Apr 06 2000 - adrian@suse.de
- snapshot from 06.04.2000
* Thu Mar 30 2000 - adrian@suse.de
- first KDE libs 2 package. PRE 1.90 Version
